<?php
	/*
	 *
	 * 2003 - 2016 @ Yal Publicidad - Weby+
	 * www.yalpublicidad.com
	 * online@yalpublicidad.com
	 *
	 *
	 */
	 
	define('WY_Ini_Weby', true);
	 
	define("YPATH",dirname(dirname(__FILE__)));
	define("YDS",DIRECTORY_SEPARATOR);
		
	/* Cargo ubicacion de los directorios del sistema */
		//require_once(YPATH . YDS . 'wy_lib' . YDS . 'wy_cargar_directorios.php');	
	
	/*
	 * Obtener la base del sitio Weby+
	 */
	function Base_SitioWeby(){
			$base = rtrim(dirname(dirname($_SERVER['SCRIPT_NAME'])), '/\\');
			$base = $base . '/';
			return $base;
		}
	
	/*
	 * Funcion para obtener URL de sitio weby+
	 */
	function wyp_sitio_weby(){
		$Protocolo = strtolower( substr($_SERVER['SERVER_PROTOCOL'], 0, 4) ) . '://';
		return $Protocolo . $_SERVER['HTTP_HOST'] .  Base_SitioWeby();
	}
	
	/* Autorizo acceso */
		/*if( isset( $_SESSION['wy_sess_ypanel'] ) ){
			//
		}else{
			echo 'No dispones de acceso';
			exit;
		}*/
	
	
	if( $_GET['Obj'] ){
		switch( $_GET['Obj'] ){
			case 'tinyMCE':
				$jsInsertarImagen = 'window.parent.wyeInsertEditorImagen(this.form.uri_img.value,\'' . $_GET['Obj'] . '\');';
				$jsCerrarVentana = 'window.parent.wyeModalClose(\'' . $_GET['Obj'] . '\');';
				
				break;
			
			case 'Ventana':
				$jsInsertarImagen = 'window.opener.wyeInsertEditorImagen(this.form.uri_img.value,\'' . $_GET['Obj'] . '\',\'' . $_GET['selector'] . '\');';
				$jsCerrarVentana = 'window.opener.wyeModalClose(\'' . $_GET['Obj'] . '\');';
				
				break;
		}
	}
	
?>

			<style type="text/css">
				
				.form_uri_img{
						margin-top: 15px; padding: 10px;
						border: 1px solid #ddd; border-radius: 5px;
						background: #f3f3f3;
				}
				.uri_img{
					border: 1px solid #ddd;
					padding: 5px;
				}
				
			</style>
			
			<script type="text/javascript" src="<?php echo wyp_sitio_weby() ?>ypanel/js/wyExplorer/jsy-wyExplorer.js"></script>
			<script type="text/javascript">		
				wyExplorer.init({
					selector: '#wyExplorador',
					selector_imagen: '#uri_img',
					seleccion_multiple: <?php echo ( isset( $_GET['seleccion_multiple'] ) && $_GET['seleccion_multiple'] == true) ? 'true' : 'false' ?>,
					anchura: '100%',
					altura: '250px',
					base_explorador: 'js/wyExplorer/',
					base_directorio: 'images/',
					base_sitio: '<?php echo Base_SitioWeby() ?>',
					tipo_explorador: 'ambos'
				})
			</script>
			

			<div id="wyExplorador"></div>
			
			<form class="form_uri_img" action="javascript:;">
				<div>URL de imagen:</div>
				<div><input type="text" class="uri_img" id="uri_img" name="uri_img"> <button onClick="<?php echo $jsInsertarImagen . $jsCerrarVentana ?>">Insertar</button> <button onClick="<?php echo $jsCerrarVentana ?>">Cancelar</button></div>
			</form>